Loading...
Searching...
No Matches
validation_criteria.hpp File Reference

## Description

Provides mongocxx::v_noabi::validation_criteria.

Go to the source code of this file.

## Classes

class | mongocxx::v_noabi::validation_criteria
| Supports creating validation rules for fields. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Functions

bool | mongocxx::operator== (std::string str, hint const &hint)
| Convenience methods to compare against an index name.
bool | mongocxx::v_noabi::operator!= (validation_criteria const &lhs, validation_criteria const &rhs)
| Compare equal when the arguments' rule, level, and action compare equal; otherwise, compare false.
bool | mongocxx::v_noabi::operator== (validation_criteria const &lhs, validation_criteria const &rhs)
| Compare equal when the arguments' rule, level, and action compare equal; otherwise, compare false.